summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/rack-attack/rack-attack-6.1.0.ebuild')
-rw-r--r--dev-ruby/rack-attack/rack-attack-6.1.0.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-ruby/rack-attack/rack-attack-6.1.0.ebuild b/dev-ruby/rack-attack/rack-attack-6.1.0.ebuild
new file mode 100644
index 000000000000..dbabb18b825a
--- /dev/null
+++ b/dev-ruby/rack-attack/rack-attack-6.1.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+# Skip integration tests since they require additional unpackaged
+# dependencies and running daemons.
+RUBY_FAKEGEM_TASK_TEST="test:units"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="A DSL for blocking & throttling abusive clients"
+HOMEPAGE="https://github.com/kickstarter/rack-attack"
+
+LICENSE="MIT"
+SLOT="6"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend "dev-ruby/rack:*"
+ruby_add_bdepend "test? (
+ dev-ruby/actionpack
+ dev-ruby/activesupport
+ dev-ruby/rack-test
+ dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ sed -i -e '/\(bundler\|byebug\)/ s:^:#:' Rakefile spec/spec_helper.rb || die
+ sed -i -e '3igem "actionpack"' spec/spec_helper.rb || die
+ sed -i -e '/rubocop/I s:^:#:' Rakefile || die
+}